package llc.arma.fleet.monitor.presentation.model

import llc.arma.fleet.monitor.data.entity.UserEntity
import llc.arma.fleet.monitor.data.entity.UserRole

data class LoginPayload(
    val loginOrEmail: String,
    val password: String,
)

data class RefreshSessionPayload(
    val refreshToken: String,
)

data class AuthPayload(
    val user: UserEntity,
    val accessToken: String,
    val refreshToken: String,
    val token: String = accessToken,
)

data class CreateUserPayload(
    val lastName: String,
    val firstName: String,
    val middleName: String?,
    val email: String,
    val login: String,
    val password: String,
    val role: UserRole,
)

data class UpdateUserPayload(
    val lastName: String?,
    val firstName: String?,
    val middleName: String?,
    val email: String?,
    val login: String?,
    val password: String?,
    val role: UserRole?,
    val active: Boolean?,
)
